Subject: Re: [PATCH v3 1/4] Documentation/git-bundle.txt: mention full backup example

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 12 Nov 2024 18:31:28 +0100

On Sun, Nov 10, 2024, at 20:38, Kristoffer Haugsbakk wrote:
> On Fri, Nov 8, 2024, at 03:01, Junio C Hamano wrote:
>>> +First let's consider a full backup of the repository.  The following
>>> +command will take a full backup of the repository in the sense that all
>>> +refs are included in the bundle (except `refs/stash`, i.e. the stash):
>>
>> Are you sure the "except" part is factually correct?

Okay now I get it.  Your git-ls-remote(1) example is correct.  But I did
something like:

```
git clone backup.pack ./repo
```

And `clone` will not transfer `refs/stash`.  It’s there but it doesn’t
seem that convenient to get *out* with a porcelain like git-clone(1).
Maybe it’s possible but I kind of want to say “okay just pop your
stashes and make regular commits/branches”.

I’m not sure how to formulate that.  Seems clumsy:

     refs are included in the bundle (also `refs/stash` but that
     particular one won't be included in e.g. a clone):

Would it be too drastic to use a footnote?

-- 
Kristoffer Haugsbakk